<?php
namespace Models;

class pax {
	public $f3, $sets, $config, $arcus_config;

	function __construct($f3, $sets, $config) {
		$this->f3=$f3;
		$this->sets=$sets;
        $this->config=$config;
	}

	function send_cmd($cmd) {
		exec($this->config['DualConnectorPath'].$this->config['DualConnectorFile']." ".$cmd);
		if(!file_exists($this->config['DualConnectorPath']."result.txt")) {
			return array (
				'success'=>false,
				'txt'=>'Ошибка'
			);
		}
		if(file_exists($this->config['DualConnectorPath']."receipt.txt")) {
			$cheq=file_get_contents($this->config['DualConnectorPath']."receipt.txt");
			if (!preg_match('//u', $cheq)) {
				$cheq=iconv("windows-1251","utf-8",$cheq);
			}
		}
		else {
			return array(
				'success'=>false,
				'txt'=>'Ошибка'
			);
		}
		$lines=file($this->config['DualConnectorPath']."result.txt");
		foreach ($lines as $line) {
			$line=str_replace(' ', '', $line);
			$line=str_replace("'", '', $line);
			$l=explode('=', $line);
			if($l[0]!='[39]') continue;
			if($l[1]!='1') {
				return array(
					'success'=>false,
					'txt'=>nl2br($cheq)
				);
				
			}
			return array(
				'success'=>true,
				'txt'=>nl2br($cheq)
			);
		}
		return array(
			'success'=>false,
			'txt'=>'Ошибка'
		);
	}

	function ticket($type, $sum) {
		$cmd='-o1';
		if($type==2) $cmd='-o3';
		$cmd.=" -a".($sum*100)." -c643";
		return $this->send_cmd($cmd);
	}

	function z() {
		$cmd='-o64';
		return $this->send_cmd($cmd);
	}

	function x() {
		$cmd='-o7';
		return $this->send_cmd($cmd);
	}

	function cashermenu() {
		$cmd='-o98';
		return $this->send_cmd($cmd);
	}

	function adminmenu() {
		$cmd='-o99';
		return $this->send_cmd($cmd);
	}
}